Subject: bug#42633: 8.32 make check as root failure of rmdir/ignore.sh

From: Bernhard Voelker <[email-masked]>
Date: Mon, 3 Aug 2020 22:07:35 +0200

On 2020-07-31 21:42, Pádraig Brady wrote:
> Patch looks good thanks.

Thanks.

> An alternative could be to use rmdir itself to test, like:
> 
>    if ! rmdir x/y 2>/dev/null; then
>      returns_ 1 rmdir --ignore-fail-on-non-empty x/y || fail=1
>    fi

I thought about that, but as there's a second hunk to be guarded a couple
of lines later, we'd have to remember the result of the test in a variable,
and test for that there.  That's more code, so unless we're getting new
FPs on some platform, I'd go with the standard uid_is_privileged_ function.

Pushing soon ... unless there are objections.
Thanks again - also for testing, Nick.

Have a nice day,
Berny